## org.apache.poi.hsmf.exceptions
Class DirectoryChunkNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hsmf.exceptions.DirectoryChunkNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public final class DirectoryChunkNotFoundException

extends java.lang.Exception

Exception for when a directory chunk is not found but is expected.

Author:
  Travis Ferguson
See Also:
  Serialized Form

Constructor Summary
`DirectoryChunkNotFoundException(java.lang.String directory)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryChunkNotFoundException

    public DirectoryChunkNotFoundException(java.lang.String directory)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.